BODY {
	overflow-x:hidden;
}

.grid {
	position: relative;
	margin: 0 auto;
	margin-top: 80px;
	min-height:190px;
}

.grid::after {
	content: '';
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	pointer-events: none;
	-webkit-transition: opacity 0.3s;
	transition: opacity 0.3s;
}

.grid--loaded::after {
	opacity: 0;
}

.grid__item {
	width: 270px;
	padding: 10px;
}
@media (max-width: 767.98px) {
	.grid__item {
		width: calc(46vw);
		padding: 5px;
	}
}
@media (min-width: 1200px) {
	.grid__item {
		width: 500px;
		padding: 14px;
	}
}

.grid__item--current {
	opacity: 0 !important;
}

.img-wrap {
	display: block;
}

.img-wrap:focus,
.img-wrap:hover {
	outline: none;
}

.img-wrap img {
	display: block;
	max-width: 100%;
	box-shadow: 0px 10px 34px -20px rgb(0 0 0 / 80%);
}

.img-wrap img:hover {
	filter: scale(1.1);
}

.preview {
	position: fixed;
	z-index: 1000;
	top: 0;
	left: 0;
	display: -ms-flex;
	display: -webkit-flex;
	display: flex;
	justify-content: center;
	align-content: center;
	align-items: center;
	width: 50%;
	height: 100% !important;
	pointer-events: none;
}

.preview::before {
	content: '';
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	background: rgba(0,0,0,0.95);
	backdrop-filter: blur(10px);
	transition: opacity 0.6s;
}

.preview--open {
	pointer-events: auto;
}

.preview--open::before {
	opacity: 0.9;
}

.clone {
	position: fixed;
	z-index: 110;
	-webkit-transition: -webkit-transform 0.5s;
	transition: transform 0.5s;
	-webkit-backface-visibility: hidden;
}

.original {
	position: relative;
	z-index: 120;
	display: block;
	object-fit: contain;
	-webkit-transition: opacity 0.2s;
	transition: opacity 0.2s;
	-webkit-backface-visibility: hidden;
}

.preview--open .animate {
	/* open */
	-webkit-transition: -webkit-transform 0.6s, opacity 0.2s;
	transition: transform 0.6s, opacity 0.2s;
}

.animate {
	/* close */
	-webkit-transition: -webkit-transform 0.3s, opacity 0.2s;
	transition: transform 0.3s, opacity 0.2s;
}

.description {
	color: #fff;
}

.description--grid {
	display: none;
}

.description--preview {
	position: absolute;
	z-index: 140;
	width: 100%;
	left: 100%;
	top: 0;
	height: 100%;
	padding: 0 1em;
	display: -ms-flex;
	display: -webkit-flex;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	opacity: 0;
	-webkit-transition: opacity 1s, -webkit-transform 1s;
	transition: opacity 1s, transform 1s;
	-webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
	transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
	-webkit-transform: translate3d(0, 30px, 0);
	transform: translate3d(0, 30px, 0);
}

.preview--open .description--preview {
	opacity: 1;
	-webkit-transition-delay: 0.2s;
	transition-delay: 0.2s;
	-webkit-transform: translate3d(0, 0, 0);
	transform: translate3d(0, 0, 0);
}


.description--preview h3 {
	font-weight: normal;
	margin: 0;
	font-size: 1.7em;
	line-height:1.2;
	text-shadow: 1px 1px rgba(255, 255, 255, 0.51);
}

.description--preview p {
	margin-top:16px;
	font-size: 16px;
	line-height:1.2;
	max-width: 100%;
	padding-right:30px;
	color:white;
	background: rgba(0,0,0,0.6);
	backdrop-filter: blur(5px);
	padding:5px;
}

.description--preview p em {
	color: #ee76ad;
	display: block;
	padding: 0.4em 0 0 0;
}

/* Close button */

.action {
	font-size: 1.5em;
	margin: 0;
	padding: 0;
	cursor: pointer;
	vertical-align: top;
	border: none;
	background: none;
}

.action:hover,
.action:focus {
	outline: none;
}

.action--close {
	position: fixed;
	z-index: 150;
	top: -70px;
	right: -40px;
	padding: 1em;
	opacity: 0;
	-webkit-transition: opacity 0.3s, -webkit-transform 0.3s;
	transition: opacity 0.3s, transform 0.3s;
	-webkit-transform: scale3d(0.6, 0.6, 1);
	transform: scale3d(0.6, 0.6, 1);
	font-size:60px;
}

.preview--image-loaded .action--close {
	opacity: 1;
	-webkit-transform: scale3d(1, 1, 1);
	transform: scale3d(1, 1, 1);
}

.text-hidden {
	position: absolute;
	display: block;
	overflow: hidden;
	width: 0;
	height: 0;
	color: transparent;
}

@media (max-width: 760px) {
	.description--preview {
		top:auto;
		bottom:0;
		left:0;
		width:100vw;
		height:fit-content;
	}
	.description--preview p {
		font-size: .85em;
	}
	.original {
		width: 100vw !important;
		max-width: 100vw !important;
		max-height:100vh !important;
		margin-left:auto;
		margin-right:auto;
	}
	.preview {
		justify-content: space-evenly;
		width:100%;
	}
	.description--preview h3 {
		font-size: 1.2em;
		background: rgba(0,0,0,0.6);
	backdrop-filter: blur(5px);
	padding:5px;
	}
}

